

ALTER TABLE RAMSCHEMA.JOB_QUEUE ALTER COLUMN JQ_NUMBER SET GENERATED BY DEFAULT RESTART;
ALTER TABLE RAMSCHEMA.ASSETRELATION_SOURCE ALTER COLUMN AR_ID SET GENERATED BY DEFAULT RESTART;

-- Delete the tables in bottom up order so that foreign key references are deleted before
-- the parent table is deleted.
DELETE FROM RAMSCHEMA.OAUTH_ACCESSOR;
DELETE FROM RAMSCHEMA.OAUTH_REQUESTER;
DELETE FROM RAMSCHEMA.OAUTH_CONSUMER;
DELETE FROM RAMSCHEMA.FAVORITE;
DELETE FROM RAMSCHEMA.LIBRARY;
DELETE FROM RAMSCHEMA.PTQUERY_FORUM;
DELETE FROM RAMSCHEMA.PTQUERY;
DELETE FROM RAMSCHEMA.PTCONFIG_USER;
DELETE FROM RAMSCHEMA.PTCONFIG_UGR;
DELETE FROM RAMSCHEMA.PTCONFIG;
DELETE FROM RAMSCHEMA.PTREPO;
DELETE FROM RAMSCHEMA.ATTACHMENT;
DELETE FROM RAMSCHEMA.POST;
DELETE FROM RAMSCHEMA.TOPIC;
DELETE FROM RAMSCHEMA.FORUM;
DELETE FROM RAMSCHEMA.STALECACHE;
DELETE FROM RAMSCHEMA.SUBSCRIPTION;
DELETE FROM RAMSCHEMA.REVIEW_PROCESS;
DELETE FROM RAMSCHEMA.CONFIGURATION;
DELETE FROM RAMSCHEMA.REPOSITORYMETRIC;
DELETE FROM RAMSCHEMA.USERRELATIONSHIP ;
DELETE FROM RAMSCHEMA.UGRP_RELATIONSHIP ;
DELETE FROM RAMSCHEMA.GROUPUSERROLE ;
DELETE FROM RAMSCHEMA.USERGROUP_ROLE;
DELETE FROM RAMSCHEMA.USERGROUP_USER;
DELETE FROM RAMSCHEMA.TAG_MQT;
DELETE FROM RAMSCHEMA.TAG;
DELETE FROM RAMSCHEMA.TODO_TARGET_UGRP;
DELETE FROM RAMSCHEMA.TODO;
DELETE FROM RAMSCHEMA.UGRP_RELATIONSHIP;
DELETE FROM RAMSCHEMA.USER_PREFERENCES;
DELETE FROM RAMSCHEMA.LICENSE;
DELETE FROM RAMSCHEMA.REPOSITORYROLE ;
DELETE FROM RAMSCHEMA.AUTOKEYGEN ;
DELETE FROM RAMSCHEMA.ASSETVERSIONHISTORY ;
DELETE FROM RAMSCHEMA.ASSET ;
DELETE FROM RAMSCHEMA.USERGROUP;
DELETE FROM RAMSCHEMA.USERID ;
DELETE FROM RAMSCHEMA.LIFECYCLE ;
DELETE FROM RAMSCHEMA.STATE ;
DELETE FROM RAMSCHEMA.ASSETTYPE_COMMUN;
DELETE FROM RAMSCHEMA.ASSETTYPE ;
DELETE FROM RAMSCHEMA.REVIEW_PROCESS;
DELETE FROM RAMSCHEMA.CLASSIFSCH_COMM;
DELETE FROM RAMSCHEMA.CLASSIFSCHEMA;
DELETE FROM RAMSCHEMA.RESOURCEGROUP ;
DELETE FROM RAMSCHEMA.ASSETRELATIONTYPE;
DELETE FROM RAMSCHEMA.EXTENSION_POINT;
DELETE FROM RAMSCHEMA.BUSY_ASSET;
DELETE FROM RAMSCHEMA.COUNTS;
DELETE FROM RAMSCHEMA.JOB_QUEUE;

-- Start of inserts

INSERT INTO RAMSCHEMA.CONFIGURATION (CONFIG_KEY, VALUE) VALUES('ram.repositoryVersion', '7.5.1.2.v20120817') ;
INSERT INTO RAMSCHEMA.CONFIGURATION (CONFIG_KEY, VALUE) VALUES('ram.indexVersion', '7.5.1.2.v20130104') ;
INSERT INTO RAMSCHEMA.CONFIGURATION (CONFIG_KEY, VALUE) VALUES('ram.serverPath', 'http://somserver.ibm.com/') ;
INSERT INTO RAMSCHEMA.CONFIGURATION (CONFIG_KEY, VALUE) VALUES('com.ibm.ram.ws.path', 'http://somserver.ibm.com/') ;
INSERT INTO RAMSCHEMA.CONFIGURATION (CONFIG_KEY, VALUE) VALUES('com.ibm.ram.utf.password', 'tow8BZJF57MOKFKnq38aava2P9v7vOYAyNgQUgy4V1c/4zXf626LW5HD5Ifl7llk') ;

INSERT INTO RAMSCHEMA.COUNTS (CNT_KEY) VALUES('lic.eeConsumerCAL');
INSERT INTO RAMSCHEMA.COUNTS (CNT_KEY) VALUES('lic.authorizedPublisherCAL');
INSERT INTO RAMSCHEMA.COUNTS (CNT_KEY) VALUES('assets');

INSERT INTO RAMSCHEMA.ASSETRELATIONTYPE (NAME, DISPLAY_NAME) VALUES('dependent', 'Dependent');
INSERT INTO RAMSCHEMA.ASSETRELATIONTYPE (NAME, DISPLAY_NAME, REVERSE_NAME) VALUES('dependency', 'Depends on', 'dependent');
INSERT INTO RAMSCHEMA.ASSETRELATIONTYPE (NAME, DISPLAY_NAME) VALUES('parent', 'Parent');
INSERT INTO RAMSCHEMA.ASSETRELATIONTYPE (NAME, DISPLAY_NAME, REVERSE_NAME) VALUES('aggregation', 'Aggregation', 'parent');
INSERT INTO RAMSCHEMA.ASSETRELATIONTYPE (NAME, DISPLAY_NAME) VALUES('tutoree', 'Tutorial for');
INSERT INTO RAMSCHEMA.ASSETRELATIONTYPE (NAME, DISPLAY_NAME, REVERSE_NAME) VALUES('tutorial', 'Tutorial', 'tutoree');
INSERT INTO RAMSCHEMA.ASSETRELATIONTYPE (NAME, DISPLAY_NAME) VALUES('testee', 'Test for');
INSERT INTO RAMSCHEMA.ASSETRELATIONTYPE (NAME, DISPLAY_NAME, REVERSE_NAME) VALUES('test', 'Test', 'testee');
INSERT INTO RAMSCHEMA.ASSETRELATIONTYPE (NAME, DISPLAY_NAME) VALUES('specification', 'Specification');
INSERT INTO RAMSCHEMA.ASSETRELATIONTYPE (NAME, DISPLAY_NAME, REVERSE_NAME) VALUES('implementation', 'Implementation', 'specification');

-- Certain ID's are hardcoded and required.
-- User ID 0 - AnyUser (Anonymous) - the external id is hard coded too: ram.anyuser
-- User ID 1 - RegisteredUser - the external id is hard coded too: ram.registereduser
-- User Id 2 - Repository Process - the external id is hard coded too: ram.repositoryprocess (this is an repo admin too).
-- User Id -2 - Override User - this is a special id for handling overrides in the asset relationships. No one can log in as it. The external id is hard coded too: ram.overrideuser

-- Group ID 0 - Repository Admin Group
-- Role ID 0 - Repository Admin Role
-- Role ID 1 - Default Owner Role
-- Role ID 9 - Default Community Admin Role

-- Group ID 1 - Repository Resource Community

-- These are the legacy states. As we move to lifecycles these states will no longer be used.
-- State ID 1 - Draft
-- State ID 2 - Plan review
-- State ID 3 - Review
-- State ID 4 - Evaluate review
-- State ID 5 - Approved
-- State ID 6 - Retired
-- State ID 7 - As is
-- State ID 8 - Archived

-- State ID 9 - Loaded library
-- State ID 10- Unloaded library

-- State ID 100- com.ibm.ram.type.simpleAsset/simpleAssetWorkflow.state.submitted (Simple asset - submitted state)
-- State ID 101- com.ibm.ram.type.simpleAsset/simpleAssetWorkflow.state.approved (Simple asset - Approved state)
-- State ID 102- com.ibm.ram.internal.type.deleted/deletedAssetWorkflow.state.deleted (Deleted asset - deleted state)
-- State ID 103- com.ibm.ram.internal.type.retirement/com.ibm.ram.internal.retire.state.retired (Retire asset - retired state)

-- Build the Resource Group table.

INSERT INTO RAMSCHEMA.RESOURCEGROUP (ID, NAME, DESCRIPTION) VALUES (0, 'Repository Admin Group', 'Master Administration group. Not used for assets.') ;

-- The RR_RELATE_KIND  are as follows:				Bit Flags:
-- NOT SET = standard by default.
-- owner - {OWNER}									1
-- reviewer - {reviewer}							2
-- review board - {reviewBoard}						4
-- Standard - {standard}							8
-- search - {search, standard} - obsolete			16+8
-- read - {read, standard}							32+8
-- download - {download, pendingRead, standard}		256+64+8
-- submitter - {OWNER during submission}			128
-- pending read - {READ during pending}				256
-- permission - {Permission admin}					512

-- Entitlements column, the entitlement ids are just numbers. They have associate bit flag values
-- in the entitlements column. There is a EMF Enumeration that relates the numbers to their meaning.
-- Entitlements are: (They are enums)			Bit Flag:
-- 0	Admin										1
-- 1	Use schema - not used						2
-- 2	Create asset								4
-- 3	Search asset								8
-- 4	Update asset								16
-- 5	Delete asset								32
-- 6	Download asset								64
-- 7	Review asset								128
-- 8	Subscribe to asset							256
-- 9	Review board								512
-- 10	Browse artifact - not used					1024
-- 11	Create schema - not used					2048
-- 12	Add artifact to asset - not used			4096
-- 13   Read asset detail							8192
-- 14   Browse asset - not used						16384
-- 15   Forum Admin									32768
-- 16   Publish Admin								65536
-- 17   Asset type Admin							131072
-- 18   Permissions Admin							262144 

-- Role Type: (They are already bit flags)	
-- 0	Regular (i.e. not set)								
-- 1	Admin									
-- 2	Asset Relationship						
-- 4	Hidden									
-- 8	Fixed

-- Note: Admin really doesn't have create authority in Console group, but that will be removed in application. This set of entitlements is what the repo admin will have in all other communities.
INSERT INTO RAMSCHEMA.REPOSITORYROLE (ID, NAME, RESOURCEGROUPID, RR_ENTITLEMENT, ROLE_TYPE, DESCRIPTION) VALUES (0, 'Administrator', 0, 1+4+8+16+32+64+256+512+8192+32768+65536+131072+262144, 1+8, 'Has administration capability.');
INSERT INTO RAMSCHEMA.REPOSITORYROLE (ID, NAME, RESOURCEGROUPID, RR_ENTITLEMENT, ROLE_TYPE, DESCRIPTION, RR_RELATE_KIND) VALUES (1, 'Asset Owner', 0, 8+16+32+64+256+512+8192+262144, 2, 'Owners of assets will have the capabilities of this role for assets that they own.', 1+128);
INSERT INTO RAMSCHEMA.REPOSITORYROLE (ID, NAME, RESOURCEGROUPID, RR_ENTITLEMENT, DESCRIPTION) VALUES (2, 'Asset Producer', 0, 4+8+16+64+256+8192, 'Can upload and create assets.');
INSERT INTO RAMSCHEMA.REPOSITORYROLE (ID, NAME, RESOURCEGROUPID, RR_ENTITLEMENT, DESCRIPTION) VALUES (3, 'Asset Consumer', 0, 8+64+256+8192, 'Can browse and download assets.');
INSERT INTO RAMSCHEMA.REPOSITORYROLE (ID, NAME, RESOURCEGROUPID, RR_ENTITLEMENT, ROLE_TYPE, DESCRIPTION, RR_RELATE_KIND) VALUES (4, 'Asset Reviewer', 0, 8+16+64+128+256+8192, 2+4+8, 'Reviewers can review an asset.', 2);
INSERT INTO RAMSCHEMA.REPOSITORYROLE (ID, NAME, RESOURCEGROUPID, RR_ENTITLEMENT, ROLE_TYPE, DESCRIPTION, RR_RELATE_KIND) VALUES (5, 'Asset Review Board', 0, 8+16+32+64+256+512+8192+262144, 2, 'Review board members can run a review for an asset.', 4);
INSERT INTO RAMSCHEMA.REPOSITORYROLE (ID, NAME, RESOURCEGROUPID, RR_ENTITLEMENT, ROLE_TYPE, DESCRIPTION, RR_RELATE_KIND) VALUES (7, 'Read', 0, 8+256+8192, 2+4+8,  'Read asset details when in published state.', 8+32);
INSERT INTO RAMSCHEMA.REPOSITORYROLE (ID, NAME, RESOURCEGROUPID, RR_ENTITLEMENT, ROLE_TYPE, DESCRIPTION, RR_RELATE_KIND) VALUES (8, 'Download', 0, 8+64+256+8192, 2+4+8, 'Download asset when in published state.', 256+64+8);
INSERT INTO RAMSCHEMA.REPOSITORYROLE (ID, NAME, RESOURCEGROUPID, RR_ENTITLEMENT, ROLE_TYPE, DESCRIPTION) VALUES (9, 'Community Administrator', 0, 1+4+8+16+32+64+256+512+8192+32768+65536+131072+262144, 1, 'Has administration capability for community.');
INSERT INTO RAMSCHEMA.REPOSITORYROLE (ID, NAME, RESOURCEGROUPID, RR_ENTITLEMENT, ROLE_TYPE, DESCRIPTION, RR_RELATE_KIND) VALUES (10, 'Permissions admin', 0, 8+64+256+8192+262144, 2+4+8, 'Assign permissions to an asset.', 512);

INSERT INTO RAMSCHEMA.RESOURCEGROUP (ID, NAME, DESCRIPTION) VALUES (1, 'Repository Resources', 'Repository resources stored in this community. It is an internal community.') ;

-- Standard Users
INSERT INTO RAMSCHEMA.USERID (ID, NAME, USERID, UID_STATUS, U_LOGINID) VALUES (-2, 'Override user', 'ram.overrideuser', 1, '~ram.overrideuser') ;
INSERT INTO RAMSCHEMA.USERID (ID, NAME, USERID, UID_STATUS, U_LOGINID) VALUES (0, '%nls.anonymous_user_name All users', 'ram.anyuser', 1, '~ram.anyuser') ;
INSERT INTO RAMSCHEMA.USERID (ID, NAME, USERID, UID_STATUS, U_LOGINID) VALUES (1, '%nls.registered_users_name Signed-in users', 'ram.registereduser', 1, '~ram.registereduser') ;
INSERT INTO RAMSCHEMA.USERID (ID, NAME, USERID, UID_STATUS, U_LOGINID) VALUES (2, '%nls.repository_process_user_name Repository Process', 'ram.repositoryprocess', 1, '~ram.repositoryprocess') ;
INSERT INTO RAMSCHEMA.USER_PREFERENCES (USERID, PREF_KEY, STRINGDATA, LAST_MODIFIED) VALUES(2, 13, 'false', CURRENT_TIMESTAMP);

INSERT INTO RAMSCHEMA.USERID (ID, NAME, EMAIL, PHONE, USERID, EMAIL_FORMAT, UID_STATUS, U_LOGINID) VALUES (100, 'Master Administrator', 'admin@somwhere.com', '555-4556', 'admin', 1, 1, '~admin') ;

-- User Admin and Repository Process have Repository Admin Group access
INSERT INTO RAMSCHEMA.GROUPUSERROLE (USERID, REPOSITORYROLEID) VALUES (100, 0) ;
INSERT INTO RAMSCHEMA.GROUPUSERROLE (USERID, REPOSITORYROLEID) VALUES (2, 0) ;

-- Registered user must have the special roles Review Board, Reviewer, Asset Owner, Read, Download, and Permissions admin for the system to work correctly.
INSERT INTO RAMSCHEMA.GROUPUSERROLE (USERID, REPOSITORYROLEID) VALUES (1, 1) ;
INSERT INTO RAMSCHEMA.GROUPUSERROLE (USERID, REPOSITORYROLEID) VALUES (1, 4) ;
INSERT INTO RAMSCHEMA.GROUPUSERROLE (USERID, REPOSITORYROLEID) VALUES (1, 5) ;
INSERT INTO RAMSCHEMA.GROUPUSERROLE (USERID, REPOSITORYROLEID) VALUES (1, 7) ;
INSERT INTO RAMSCHEMA.GROUPUSERROLE (USERID, REPOSITORYROLEID) VALUES (1, 8) ;
INSERT INTO RAMSCHEMA.GROUPUSERROLE (USERID, REPOSITORYROLEID) VALUES (1, 10) ;

-- Build the state table.
INSERT INTO RAMSCHEMA.STATE (ID, NAME, STATE_WF_ID) VALUES(1, 'Draft', 'com.ibm.ram.legacy/Draft') ;
INSERT INTO RAMSCHEMA.STATE (ID, NAME, STATE_WF_ID) VALUES(2, 'Plan review', 'com.ibm.ram.legacy/Plan_review') ;
INSERT INTO RAMSCHEMA.STATE (ID, NAME, STATE_WF_ID) VALUES(3, 'Review', 'com.ibm.ram.legacy/Review') ;
INSERT INTO RAMSCHEMA.STATE (ID, NAME, STATE_WF_ID) VALUES(4, 'Evaluate review', 'com.ibm.ram.legacy/Evaluate_review') ;
INSERT INTO RAMSCHEMA.STATE (ID, NAME, STATE_WF_ID) VALUES(5, 'Approved', 'com.ibm.ram.legacy/Approved') ;
INSERT INTO RAMSCHEMA.STATE (ID, NAME, STATE_WF_ID) VALUES(6, 'Retired', 'com.ibm.ram.legacy/Retired') ;
INSERT INTO RAMSCHEMA.STATE (ID, NAME, STATE_WF_ID) VALUES(7, 'As is', 'com.ibm.ram.legacy/As_is') ;
INSERT INTO RAMSCHEMA.STATE (ID, NAME, STATE_WF_ID) VALUES(8, 'Archived', 'com.ibm.ram.legacy/Archived') ;
INSERT INTO RAMSCHEMA.STATE (ID, NAME, STATE_WF_ID) VALUES(9, 'Loaded', 'com.ibm.ram.legacy/Loaded') ;
INSERT INTO RAMSCHEMA.STATE (ID, NAME, STATE_WF_ID) VALUES(10, 'Unloaded', 'com.ibm.ram.legacy/Unloaded') ;
INSERT INTO RAMSCHEMA.STATE (ID, NAME, STATE_WF_ID) VALUES(100, 'Submitted', 'com.ibm.ram.type.simpleAsset/simpleAssetWorkflow.state.submitted') ;
INSERT INTO RAMSCHEMA.STATE (ID, NAME, STATE_WF_ID) VALUES(101, 'Approved', 'com.ibm.ram.type.simpleAsset/simpleAssetWorkflow.state.approved') ;
INSERT INTO RAMSCHEMA.STATE (ID, NAME, STATE_WF_ID) VALUES(102, 'Deleted', 'com.ibm.ram.internal.type.deleted/deletedAssetWorkflow.state.deleted') ;
INSERT INTO RAMSCHEMA.STATE (ID, NAME, STATE_WF_ID) VALUES(103, 'Retired', 'com.ibm.ram.internal.type.retirement/com.ibm.ram.internal.retire.state.retired') ;

-- Add an empty asset type schema, and an empty schema for global attributes and pre-defined library types.
INSERT INTO RAMSCHEMA.CLASSIFSCHEMA (URI, FRAGMENT, NAME, LAST_MODIFIED, CL_COLLISION, CL_SHARED, CL_SCHEMA) VALUES('classif/assetTypesSchema.xmi','/','AssetTypes', CURRENT_TIMESTAMP, 0, 3, '<?xml version="1.0" encoding="UTF-8"?>
 <defaultprofile:ClassificationSchema xmi:version="2.0"
     xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:defaultprofile="http:///defaultprofile22.ecore" name="AssetTypes">
   <descriptor xsi:type="defaultprofile:NodeDescriptor" xmi:id="comibmramassettypenode" name="AssetType"
       exclusive="true">
     <description value="Asset Type Definitions"/>
     <specific name="Global Attributes" exclusive="true">
       <description value="Container for global attributes."/>
       <specific xmi:id="comibmramglobal10" name="1.0"/>
     </specific>
     <specific name="Library" exclusive="true">
       <description value="Internal type for a Library"/>
       <specific xmi:id="comibmramlibrary" name="1.0"/>
     </specific>
     <specific name="Custom Extension" exclusive="true">
       <description value="A built in asset type to manage custom extensions."/>
       <specific xmi:id="comibmramcustomextension" name="1.0"/>
     </specific>
     <specific name="Custom Email" exclusive="true">
       <description value="A built in asset type to manage custom emails."/>
       <specific xmi:id="comibmramcustomemail" name="1.0"/>
     </specific>     
   </descriptor>
   <descriptor xsi:type="defaultprofile:NodeDescriptor" xmi:id="comibmramrestrictednode" name="RestrictedAttributes">
     <description value="Restricted Attribute Definitions"/>
   </descriptor>
   <descriptor xsi:type="defaultprofile:FreeFormDescriptor" xmi:id="com.ram.owners" name="Owners">
     <description value="Owners"/>
   </descriptor>
   <descriptor xsi:type="defaultprofile:FreeFormDescriptor" xmi:id="com.ram.community" name="Community">
     <description value="Community"/>
   </descriptor>
   <descriptor xsi:type="defaultprofile:FreeFormDescriptor" xmi:id="com.ram.type" name="Type">
     <description value="Type"/>
   </descriptor>
   <descriptor xsi:type="defaultprofile:FreeFormDescriptor" xmi:id="com.ram.guid" name="Unique ID">
     <description value="Unique ID"/>
   </descriptor>   
 </defaultprofile:ClassificationSchema>') ;

-- Add a global attributes asset type with the predefined attributes
-- Starting with 20 because we used 1-10 in populate tests and don't want to collide.
INSERT INTO RAMSCHEMA.ASSETTYPE (ID, NAME, VERSION, DESCRIPTION, URI, RESTRICTED, CONFIGURATION) VALUES( 20, 'RAM Global Attributes', '1.0', 'Container for global attributes.', 'classif/assetTypesSchema.xmi#comibmramglobal10', 'p', '<?xml version="1.0" encoding="UTF-8"?>
 <com.ibm.ram.common.emf:AssetTypeConfiguration xmi:version="2.0"
     xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:com.ibm.ram.common.emf="http:///com/ibm/ram/common/emf.ecore">
   <attributes xsi:type="com.ibm.ram.common.emf:AttributeUnrestricted" xmi:id="com.ram.owners" name="Owners" uriString="classif/assetTypesSchema.xmi#com.ram.owners"
       description="Owners" attributeTypeId="user" singleSetting="false"/>
   <attributes xsi:type="com.ibm.ram.common.emf:AttributeUnrestricted" xmi:id="com.ram.community" name="Community"
       uriString="classif/assetTypesSchema.xmi#com.ram.community" description="Community" attributeTypeId="number"/>
   <attributes xsi:type="com.ibm.ram.common.emf:AttributeUnrestricted" xmi:id="com.ram.type" name="Type" uriString="classif/assetTypesSchema.xmi#com.ram.type"
       description="Type" attributeTypeId="number"/>
   <attributes xsi:type="com.ibm.ram.common.emf:AttributeUnrestricted" xmi:id="com.ram.guid" name="Unique ID"
       uriString="classif/assetTypesSchema.xmi#com.ram.guid" description="Unique ID"/>
 </com.ibm.ram.common.emf:AssetTypeConfiguration>') ;
 
-- Add an asset type for custom extensions - restricted to resources community
INSERT INTO RAMSCHEMA.ASSETTYPE (ID, NAME, VERSION, DESCRIPTION, URI, CONFIGURATION, RESTRICTED, AT_ATTR_CONTAINER) VALUES(21, 'Custom Extension', '1.0', 'A built in asset type to manage custom extensions.', 'classif/assetTypesSchema.xmi#comibmramcustomextension', '<?xml version="1.0" encoding="UTF-8"?>
  <com.ibm.ram.common.emf:AssetTypeConfiguration xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:com.ibm.ram.common.emf="http:///com/ibm/ram/common/emf.ecore">
    <attributes xsi:type="com.ibm.ram.common.emf:AttributeUnrestricted" xmi:id="attributes0" name="Extension Class Name" uriString="classif/assetTypesSchema/comibmramcustomextension/container.xmi#attributes0">
      <description>The fully qualified name of the extension class.</description>
    </attributes>
  </com.ibm.ram.common.emf:AssetTypeConfiguration>', 'r', 'classif/assetTypesSchema/comibmramcustomextension/container.xmi') ;
  
INSERT INTO RAMSCHEMA.ASSETTYPE_COMMUN (ATCM_ASSETTYPEID, ATCM_COMMUNID) VALUES(21, 1);
-- Add an attribute for classname scoped to the custom extension asset type
INSERT INTO RAMSCHEMA.CLASSIFSCHEMA (URI, FRAGMENT, NAME, LAST_MODIFIED, CL_COLLISION, CL_SHARED, CL_SCHEMA) VALUES('classif/assetTypesSchema/comibmramcustomextension/container.xmi','/','Asset Type container schema for comibmramcustomextension', CURRENT_TIMESTAMP, 0, 3, '<?xml version="1.0" encoding="UTF-8"?><defaultprofile:ClassificationSchema xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:defaultprofile="http:///defaultprofile22.ecore" name="Asset Type container schema for comibmramcustomextension"><descriptor xsi:type="defaultprofile:NodeDescriptor" xmi:id="comibmramrestrictednode" name="RestrictedAttributes"><description><value>Restricted Attribute Definitions</value></description></descriptor><descriptor xsi:type="defaultprofile:FreeFormDescriptor" xmi:id="attributes0" name="Extension Class Name"><description><value>The fully qualified name of the extension class.</value></description></descriptor></defaultprofile:ClassificationSchema>');

-- Add a library asset type - restricted to resources community,
INSERT INTO RAMSCHEMA.ASSETTYPE (ID, NAME, VERSION, DESCRIPTION, URI, RESTRICTED, AT_ATTR_CONTAINER, CONFIGURATION) VALUES( 22, 'Library', '1.0', 'Internal type for a Library', 'classif/assetTypesSchema.xmi#comibmramlibrary', 'p', 'classif/assetTypesSchema/comibmramlibrary/container.xmi', '<?xml version="1.0" encoding="ASCII"?>
<com.ibm.ram.common.emf:AssetTypeConfiguration xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:com.ibm.ram.common.emf="http:///com/ibm/ram/common/emf.ecore">
  <attributes xsi:type="com.ibm.ram.common.emf:AttributeUnrestricted" xmi:id="comibmramserverprefix" name="Server prefix" uriString="classif/assetTypesSchema/comibmramlibrary/container.xmi#comibmramserverprefix" description="The web server prefix of the server that created the library. This is used to convert any references to this server in the library to the server that the library is being loaded into."/>
  <attributes xsi:type="com.ibm.ram.common.emf:AttributeUnrestricted" xmi:id="comibmramformatversion" name="Data format version" uriString="classif/assetTypesSchema/comibmramlibrary/container.xmi#comibmramformatversion" description="The format version of the data in the library."/>
  <constraints xsi:type="com.ibm.ram.common.emf:ArtifactGrouping">
    <constraints count="1" matchType="Filename" type="rammodel.xmi"/>
  </constraints>
  <constraints xsi:type="com.ibm.ram.common.emf:Attribute751Grouping">
    <column1 xsi:type="com.ibm.ram.common.emf:AttributeConstraint" attributeName="classif/assetTypesSchema.xmi#com.ram.owners" required="true"/>
    <column1 xsi:type="com.ibm.ram.common.emf:AttributeConstraint" attributeName="classif/assetTypesSchema.xmi#com.ram.community" required="true"/>
    <column1 xsi:type="com.ibm.ram.common.emf:AttributeConstraint" attributeName="classif/assetTypesSchema.xmi#com.ram.type" required="true"/>
    <column1 xsi:type="com.ibm.ram.common.emf:AttributeConstraint" attributeName="classif/assetTypesSchema.xmi#com.ram.guid" required="true"/>
    <column1 xsi:type="com.ibm.ram.common.emf:AttributeConstraint" attributeName="classif/assetTypesSchema/comibmramlibrary/container.xmi#comibmramserverprefix" required="true"/>
    <column1 xsi:type="com.ibm.ram.common.emf:AttributeConstraint" attributeName="classif/assetTypesSchema/comibmramlibrary/container.xmi#comibmramformatversion" required="true"/>
  </constraints>
</com.ibm.ram.common.emf:AssetTypeConfiguration>
') ;

INSERT INTO RAMSCHEMA.ASSETTYPE_COMMUN (ATCM_ASSETTYPEID, ATCM_COMMUNID) VALUES(22, 1);
-- Add an attribute for web server prefix scoped to the extensions asset type.
INSERT INTO RAMSCHEMA.CLASSIFSCHEMA (URI, FRAGMENT, NAME, LAST_MODIFIED, CL_COLLISION, CL_SHARED, CL_SCHEMA) VALUES('classif/assetTypesSchema/comibmramlibrary/container.xmi', '/', 'Asset Type container schema for comibmramlibrary', CURRENT_TIMESTAMP, 0, 3, '<?xml version="1.0" encoding="UTF-8"?> <defaultprofile:ClassificationSchema xmi:version="2.0"  xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:defaultprofile="http:///defaultprofile22.ecore" name="Asset Type container schema for comibmramlibrary"> <descriptor xsi:type="defaultprofile:NodeDescriptor" xmi:id="comibmramrestrictednode" name="RestrictedAttributes"> <description><value>Restricted Attribute Definitions</value></description> </descriptor> <descriptor xsi:type="defaultprofile:FreeFormDescriptor" xmi:id="comibmramserverprefix" name="Server prefix"> <description><value>The web server prefix of the server that created the library. This is used to convert any references to this server in the library to the server that the library is being loaded into.</value></description> </descriptor> <descriptor xsi:type="defaultprofile:FreeFormDescriptor" xmi:id="comibmramformatversion" name="Data format version"> <description><value>The format version of the data in the library.</value></description> </descriptor> </defaultprofile:ClassificationSchema>') ;

-- Add an asset type for custom email - restricted to resources community - so it doesn't show, but still can have assets with this type in a community.
INSERT INTO RAMSCHEMA.ASSETTYPE (ID, NAME, VERSION, DESCRIPTION, URI, RESTRICTED) VALUES(23, 'Custom Email', '1.0', 'A built in asset type to manage custom emails.', 'classif/assetTypesSchema.xmi#comibmramcustomemail', 'r') ;
INSERT INTO RAMSCHEMA.ASSETTYPE_COMMUN (ATCM_ASSETTYPEID, ATCM_COMMUNID) VALUES(23, 1);

-- Add the extension for the default installed policies.
INSERT INTO RAMSCHEMA.EXTENSION_POINT (ID, TYPE, NAME, CONFIGURATION, COLLISION) VALUES(1, 1, 'Default Policies', 'com.ibm.ram.repository.policy.RAMPolicyGovernor', 0);

-- Default Lifecycles
INSERT INTO RAMSCHEMA.LIFECYCLE (LC_ID,LC_XML,LC_ASSET,LC_NAME,LC_COLLISION,LC_COMMUNITYID,LC_COMM_ORDER,LC_KIND,LC_MASTER) VALUES ('mc_com.ibm.ram.internal.lifecycle.implicit', '<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<ram:lifecyle
	href="internal/masterLifecycles/mc_com.ibm.ram.internal.lifecycle.implicit"
	identifier="mc_com.ibm.ram.internal.lifecycle.implicit" etag="0"
	xmlns:jp="http://jazz.net/xmlns/prod/jazz/presentation/1.0/"
	xmlns:atom="http://www.w3.org/2005/Atom" xmlns:xsd="http://www.w3.org/2001/XMLSchema"
	xmlns:dce="http://purl.org/dc/elements/1.1/" xmlns:jfs="http://jazz.net/xmlns/prod/jazz/jfs/1.0/"
	xmlns:oslc_approval="http://open-services.net/xmlns/approval/1.0/"
	xmlns:ras="http://www.omg.org/ras/v2.2" xmlns:oslc_asset="http://open-services.net/xmlns/asset/1.0/"
	xmlns:oslc_disc="http://open-services.net/xmlns/discovery/1.0/"
	xmlns:dc="http://purl.org/dc/terms/" xmlns:ram="http://jazz.net/xmlns/ecalm/ram/internal/v7.2"
	xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:oslc="http://open-services.net/ns/oslc">
	<name>Implicit Asset Lifecycle</name>
	<ram:scope>REPOSITORY</ram:scope>
	<ram:kind>asset</ram:kind>
	<community rel="related" href="internal/communities/1">
		<dce:title>Repository Resource Group</dce:title>
	</community>
	<workflow rel="related"
		href="internal/workflows/com.ibm.ram.type.simpleAsset">
		<dce:title>Simple</dce:title>
	</workflow>
	<stateConfiguration
		href="internal/masterLifecycles/mc_com.ibm.ram.internal.lifecycle.implicit/stateConfigurations/simpleAssetWorkflow.state.submitted"
		etag="0" publishedState="true" identifier="simpleAssetWorkflow.state.submitted">
		<exitCondition>
			<action rel="related"
				href="internal/actions/com.ibm.ram.type.simpleAsset/simpleAssetWorkflow.action.publish">
				<dce:title>Publish</dce:title>
				<image>internal/icons/actions/com.ibm.ram.type.simpleAsset/simpleAssetWorkflow.action.publish
				</image>
			</action>
			<state rel="related"
				href="internal/states/com.ibm.ram.type.simpleAsset/simpleAssetWorkflow.state.submitted">
				<dce:title>Submitted</dce:title>
				<image>internal/icons/states/com.ibm.ram.type.simpleAsset/simpleAssetWorkflow.state.submitted
				</image>
			</state>
		</exitCondition>
		<lastModified>2011-04-13T14:25:48.000-04:00</lastModified>
		<state rel="related"
			href="internal/states/com.ibm.ram.type.simpleAsset/simpleAssetWorkflow.state.submitted">
			<dce:title>Submitted</dce:title>
			<image>internal/icons/states/com.ibm.ram.type.simpleAsset/simpleAssetWorkflow.state.submitted
			</image>
		</state>
		<lifecycle rel="related"
			href="internal/masterLifecycles/mc_com.ibm.ram.internal.lifecycle.implicit">
			<dce:title>Implicit Asset Lifecycle</dce:title>
		</lifecycle>
	</stateConfiguration>
	<stateConfiguration
		href="internal/masterLifecycles/mc_com.ibm.ram.internal.lifecycle.implicit/stateConfigurations/simpleAssetWorkflow.state.approved"
		etag="0" publishedState="true" identifier="simpleAssetWorkflow.state.approved">
		<exitCondition>
			<action rel="related"
				href="internal/actions/com.ibm.ram.type.simpleAsset/simpleAssetWorkflow.action.revert">
				<dce:title>Revert</dce:title>
				<image>internal/icons/actions/com.ibm.ram.type.simpleAsset/simpleAssetWorkflow.action.revert
				</image>
			</action>
			<state rel="related"
				href="internal/states/com.ibm.ram.type.simpleAsset/simpleAssetWorkflow.state.approved">
				<dce:title>Approved</dce:title>
				<image>internal/icons/states/com.ibm.ram.type.simpleAsset/simpleAssetWorkflow.state.approved
				</image>
			</state>
		</exitCondition>
		<lastModified>2011-04-13T14:25:48.000-04:00</lastModified>
		<state rel="related"
			href="internal/states/com.ibm.ram.type.simpleAsset/simpleAssetWorkflow.state.approved">
			<dce:title>Approved</dce:title>
			<image>internal/icons/states/com.ibm.ram.type.simpleAsset/simpleAssetWorkflow.state.approved
			</image>
		</state>
		<lifecycle rel="related"
			href="internal/masterLifecycles/mc_com.ibm.ram.internal.lifecycle.implicit">
			<dce:title>Implicit Asset Lifecycle</dce:title>
		</lifecycle>
	</stateConfiguration>
	<description>Implicit Lifecycle for communities when an asset does not match any community or legacy review process</description>
	<lastModified>2011-04-13T14:25:48.000-04:00</lastModified>
</ram:lifecyle>
', NULL, 'Implicit Asset Lifecycle', 0, 1, -1, 0,null);

INSERT INTO RAMSCHEMA.LIFECYCLE (LC_ID,LC_XML,LC_ASSET,LC_NAME,LC_COLLISION,LC_COMMUNITYID,LC_COMM_ORDER,LC_KIND,LC_MASTER) VALUES ('cc_com.ibm.ram.internal.lifecycle.implicit.0', '<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<ram:lifecyle href="internal/communities/0/lifecycles/cc_com.ibm.ram.internal.lifecycle.implicit.0" identifier="cc_com.ibm.ram.internal.lifecycle.implicit.0" etag="0" xmlns:jp="http://jazz.net/xmlns/prod/jazz/presentation/1.0/" xmlns:atom="http://www.w3.org/2005/Atom" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:dce="http://purl.org/dc/elements/1.1/" xmlns:jfs="http://jazz.net/xmlns/prod/jazz/jfs/1.0/" xmlns:oslc_approval="http://open-services.net/xmlns/approval/1.0/" xmlns:ras="http://www.omg.org/ras/v2.2" xmlns:oslc_asset="http://open-services.net/xmlns/asset/1.0/" xmlns:oslc_disc="http://open-services.net/xmlns/discovery/1.0/" xmlns:dc="http://purl.org/dc/terms/" xmlns:ram="http://jazz.net/xmlns/ecalm/ram/internal/v7.2" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:oslc="http://open-services.net/ns/oslc">
    <name>Implicit Asset Lifecycle</name>
    <ram:scope>COMMUNITY</ram:scope>
    <ram:kind>asset</ram:kind>
    <ram:master rdf:resource="internal/masterLifecycles/mc_com.ibm.ram.internal.lifecycle.implicit">Implicit Asset Lifecycle</ram:master>
    <community rel="related" href="internal/communities/0">
        <dce:title>Unknown</dce:title>
    </community>
    <workflow rel="related" href="internal/workflows/com.ibm.ram.type.simpleAsset">
        <dce:title>Simple</dce:title>
    </workflow>
    <stateConfiguration href="internal/communities/0/lifecycles/cc_com.ibm.ram.internal.lifecycle.implicit.0/stateConfigurations/simpleAssetWorkflow.state.submitted" etag="0" publishedState="true" identifier="simpleAssetWorkflow.state.submitted">
        <exitCondition>
            <rule type="MANUAL_ACTION">
                <operator>EQUALS</operator>
                <target></target>
                <stringValue>simpleAssetWorkflow.action.publish</stringValue>
                <valueDisplayName>Publish</valueDisplayName>
            </rule>
            <action rel="related" href="internal/actions/com.ibm.ram.type.simpleAsset/simpleAssetWorkflow.action.publish">
                <dce:title>Publish</dce:title>
                <image>internal/icons/actions/com.ibm.ram.type.simpleAsset/simpleAssetWorkflow.action.publish</image>
            </action>
            <state rel="related" href="internal/states/com.ibm.ram.type.simpleAsset/simpleAssetWorkflow.state.submitted">
                <dce:title>Submitted</dce:title>
                <image>internal/icons/states/com.ibm.ram.type.simpleAsset/simpleAssetWorkflow.state.submitted</image>
            </state>
        </exitCondition>
        <lastModified>2011-04-07T11:12:31.000-04:00</lastModified>
        <state rel="related" href="internal/states/com.ibm.ram.type.simpleAsset/simpleAssetWorkflow.state.submitted">
            <dce:title>Submitted</dce:title>
            <image>internal/icons/states/com.ibm.ram.type.simpleAsset/simpleAssetWorkflow.state.submitted</image>
        </state>
        <lifecycle rel="related" href="internal/communities/0/lifecycles/cc_com.ibm.ram.internal.lifecycle.implicit.0">
            <dce:title>Implicit Asset Lifecycle</dce:title>
        </lifecycle>
    </stateConfiguration>
    <stateConfiguration href="internal/communities/0/lifecycles/cc_com.ibm.ram.internal.lifecycle.implicit.0/stateConfigurations/simpleAssetWorkflow.state.approved" etag="0" publishedState="true" identifier="simpleAssetWorkflow.state.approved">
        <exitCondition>
            <rule type="MANUAL_ACTION">
                <operator>EQUALS</operator>
                <target></target>
                <stringValue>simpleAssetWorkflow.action.revert</stringValue>
                <valueDisplayName>Revert</valueDisplayName>
            </rule>
            <action rel="related" href="internal/actions/com.ibm.ram.type.simpleAsset/simpleAssetWorkflow.action.revert">
                <dce:title>Revert</dce:title>
                <image>internal/icons/actions/com.ibm.ram.type.simpleAsset/simpleAssetWorkflow.action.revert</image>
            </action>
            <state rel="related" href="internal/states/com.ibm.ram.type.simpleAsset/simpleAssetWorkflow.state.approved">
                <dce:title>Approved</dce:title>
                <image>internal/icons/states/com.ibm.ram.type.simpleAsset/simpleAssetWorkflow.state.approved</image>
            </state>
        </exitCondition>
        <lastModified>2011-04-07T11:12:31.000-04:00</lastModified>
        <state rel="related" href="internal/states/com.ibm.ram.type.simpleAsset/simpleAssetWorkflow.state.approved">
            <dce:title>Approved</dce:title>
            <image>internal/icons/states/com.ibm.ram.type.simpleAsset/simpleAssetWorkflow.state.approved</image>
        </state>
        <lifecycle rel="related" href="internal/communities/0/lifecycles/cc_com.ibm.ram.internal.lifecycle.implicit.0">
            <dce:title>Implicit Asset Lifecycle</dce:title>
        </lifecycle>
    </stateConfiguration>
    <description>Implicit Lifecycle for communities when an asset does not match any community or legacy review process</description>
    <lastModified>2011-04-07T11:12:31.000-04:00</lastModified>
</ram:lifecyle>
', NULL,' Implicit Asset Lifecycle', 0, 0, -2, 0, 'mc_com.ibm.ram.internal.lifecycle.implicit');

-- Auto key gen table.

INSERT INTO RAMSCHEMA.AUTOKEYGEN(IDENTIFIER, NEXT_PTREPOQQ) VALUES(1, 1001);

INSERT INTO RAMSCHEMA.JOB_QUEUE (JQ_CATEGORY, JQ_NUMBER, JQ_SHORT) VALUES('com.ibm.ram.syncPersist.job', 0, null);

